<div ng-include = "'html/navbarManagers.html'"></div>

<div class = "container" style = "margin-top:100px">
    <h1>Restoran: {{restaurant.rsName}}</h1>
    <table class="table table-hover" ng-if = "state === 'update'">
        <tr>
            <td>
                <input type="text"  placeholder="*Naziv" class="form-control" ng-model="restaurantInput.rsName" required/>
            </td>
            <td>
                <input type="text"  placeholder="Mesto" class="form-control" ng-model="restaurantInput.rsTown"/>
            </td>
            <td>
                <input type="text"  placeholder="Adresa" class="form-control" ng-model="restaurantInput.rsAddress"/>
            </td>
            <td>
                <textarea type="text"  placeholder="Opis" rows = "5" class="form-control" ng-model="restaurantInput.rsDesc"></textarea>
            </td>
            <td>
                <input type="button" value="Izmeni" class="btn btn-primary"  ng-click = "updateRestaurant();">
            </td>
            <td>
                <input type="button" value="Poništi" class="btn btn-primary" ng-click = "cancelUpdate();">
            </td>
        </tr>
    </table>
    
    <div style="text-align:right">
        <input type="button" value="Izmeni" class="btn btn-warning" ng-if = "state !=='update'" ng-click = "prepareRestaurantUpdate();"> 
    </div>
    <br/>
    <table  class="table table-bordered">
        <tr>
            <th>Oznaka</th>
            <td>
                <span>
                    {{ restaurant.rsId }}
                </span>
            </td>
        </tr>
        <tr>
            <th>Naziv</th>
            <td>
                <span>
                  {{ restaurant.rsName }}
                </span>
            </td>
        </tr>
        <tr>
           <th>Mesto</th> 
           <td>
               <span>
                {{restaurant.rsTown}}
               </span>
           </td>
        </tr> 
        <tr>
            <th>Adresa</th>
            <td>
                <span >
                    {{restaurant.rsAddress}}
                </span>
            </td>
        </tr>
        <tr>
            <th>Opis</th>
            <td>
                <span>
                    {{restaurant.rsDesc}}
                </span>
            </td>
        </tr>
        <tr>
           <th>Prosečna ocena</th>
           <td>
                <span>
                    {{restaurant.rsAvggrade}}
                </span>
            </td> 
        </tr>   
    </table>   

</div>